Get shop listings
curl --request GET \
--url https://scrapebadger.com/v1/etsy/shops/{shop_name}/listings \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/etsy/shops/{shop_name}/listings"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/etsy/shops/{shop_name}/listings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/etsy/shops/{shop_name}/listings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/etsy/shops/{shop_name}/listings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/etsy/shops/{shop_name}/listings")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/etsy/shops/{shop_name}/listings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyEtsy endpoints
Get shop listings
Get shop listings.
GET
/
v1
/
etsy
/
shops
/
{shop_name}
/
listings
Get shop listings
curl --request GET \
--url https://scrapebadger.com/v1/etsy/shops/{shop_name}/listings \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/etsy/shops/{shop_name}/listings"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/etsy/shops/{shop_name}/listings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/etsy/shops/{shop_name}/listings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/etsy/shops/{shop_name}/listings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/etsy/shops/{shop_name}/listings")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/etsy/shops/{shop_name}/listings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyGet shop listings.
Credits: 10 per successful request. Failed requests and empty result sets are not charged.
Browse all Etsy endpoints.
Authentication
string
required
Your ScrapeBadger API key.
Parameters
string
required
Shop name.
integer
default:"1"
Page. Minimum: 1. Maximum: 250.
string
default:"US"
Country.
string
default:"USD"
Currency.
string
default:"en-US"
Language.
Response
{
"items": [
{
"listing_id": "4597018849",
"title": "Spinosaurus fossil inspired Engraved Insulated Tumbler – 600ml Travel Mug",
"url": "https://www.etsy.com/listing/4597018849/spinosaurus-fossil-inspired-engraved",
"description": null,
"price": 25.08,
"original_price": null,
"currency": "USD",
"availability": "https://schema.org/InStock",
"quantity": null,
"category": null,
"images": [
"https://i.etsystatic.com/13626694/r/il/d7e5f4/8738680797/il_fullxfull.8738680797_4i18.jpg"
],
"image_details": [],
"shop_name": "GlazyLittleThings",
"shop_id": "13626694",
"shop_url": "https://www.etsy.com/shop/GlazyLittleThings",
"rating": null,
"review_count": null,
"is_ad": false,
"shipping": null,
"variations": [],
"breadcrumbs": [],
"videos": []
}
],
"total_results": 73,
"locale": {
"language": {
"code": "en-US",
"id": 0,
"name": "English (US)",
"translation": "English (US)",
"is_detected": false,
"is_default": true
},
"currency": {
"currency_id": 840,
"code": "USD",
"name": "United States Dollar",
"number_precision": 2,
"symbol": "$",
"listing_enabled": true,
"browsing_enabled": true,
"buyer_location_restricted": false,
"is_synthetic": true,
"is_detected": false,
"is_default": true,
"append_currency_symbol": false
},
"region": {
"code": "US",
"country_id": 209,
"name": "United States",
"translation": "United States",
"is_detected": false,
"is_default": true,
"is_EU_region": false
},
"subdir_code": ""
},
"next_page": null,
"page": 1
}
Example
curl --get 'https://scrapebadger.com/v1/etsy/shops/GlazyLittleThings/listings' \
--header 'X-API-Key: YOUR_API_KEY'

